All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.models
Interface NodeInterface

All Superinterfaces:
  SimpleNodeInterface

All Known Subinterfaces:
  MDSelectorMenuItemNodeInterface, MenuBarNodeInterface, MenuItemNodeInterface, MenuNodeInterface, MutableNodeInterface, NodeIconInterface, SelectorMenuItemNodeInterface, SelectorMenuItemNodeV2Interface, ServerNodeInterface, TreeNodeInterface, TreeNodeV2Interface

All Known Implementing Classes:
  _rprxJ2ServerNode, _rprxRemoteDesignTimeServerNode, _rprxRemoteServerNodeClient, ActionNode, ClassNode, Color, ColorList, DefaultColorList, DefaultFontList, File, FileList, FileSystem, FileSystemList, Font, FontList, IMDBTable, LevelTreeNode, MDSelectorMenuItemNode, MenuBarNode, MenuItemNode, MenuNode, Node, NodeDelegate, NodeIcon, NodeView, NodeView, Printer, PrinterList, ProgressiveLevelTreeNode, SASListNode, SelectorMenuItemNode, ServerNodeDelegate, TreeNode, TreeNodeAdaptor

    public interface NodeInterface

extends SimpleNodeInterface

NodeInterface is implemented by objects contained in a hierarchical structure that provide textual descriptions. NodeInterface provides an abstraction that allows the data source to remain distant from an associated viewer.

It is recommended that classes which implement NodeInterface send PropertyChangeEvent events whenever the nodeText, nodeExpandedText and/or nodeType properties change so that a viewer could know about these changes and refresh itself. For example, com.sas.visuals.TreeView expects NodeInterface objects from its model and then tries to listen for PropertyChangeEvent events on each NodeInterface. If the implementation fires these events then the TreeView will be able to reflect these changes.

Method Summary
`abstract java.lang.String` | `getNodeExpandedText()` Returns the value of the nodeExpandedText property.
`abstract java.lang.String` | `getNodeText()` Returns the value of the nodeText property.
`abstract java.lang.String` | `getNodeType()` Returns the value of the nodeType property.

Methods inherited from interface com.sas.models.SimpleNodeInterface
`countNodeChildren, getNodeChild, getNodeChildCount, getNodeChildren, isLeafNode`

Method Detail

### getNodeExpandedText

    java.lang.String getNodeExpandedText()

  Returns the value of the nodeExpandedText property. The expanded text is usually a more descriptive version of the nodeText property. For example, a node that represents a file can return the file name for the nodeText property and the full path name for the nodeExpandedText property.

  Returns:
    the nodeExpandedText property

### getNodeText

    java.lang.String getNodeText()

  Returns the value of the nodeText property.

  Returns:
    the nodeText property

### getNodeType

    java.lang.String getNodeType()

  Returns the value of the nodeType property. The type can be used for categorizing nodes.

  Returns:
    the nodeType property

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.